Bug 113795 - Replace Open Sans with Noto Sans in bundled templates
Summary: Replace Open Sans with Noto Sans in bundled templates
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: Laurent BP
URL:
Whiteboard: target:6.0.0.2
Keywords:
Depends on:
Blocks: Templates Fonts-Bundled
  Show dependency treegraph
 
Reported: 2017-11-12 21:36 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-12-25 12:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-11-12 21:36:24 UTC
Adolfo suggested that we replace the Open Sans font in all of the bundled impress templates with Noto Sans, now that it is being bundled by default. This would be beneficial as we would like to stop bundling Open Sans (bug 103080).
Comment 1 Laurent BP 2017-11-14 21:03:12 UTC
Found Open Sans font in:
- Impress.otp
- Vivid.otp
Comment 2 Francisco 2017-11-28 21:51:26 UTC
(In reply to Laurent BP from comment #1)
> Found Open Sans font in:
> - Impress.otp
> - Vivid.otp

Hi Laurent, Yousuf,

The actual version of Vivid.otp shipped with uses source Sans Pro and not Open Sans. This change was done because LibreOffice was not shipping Open Sans Light, but Source Sans Pro light was.
Comment 3 Laurent BP 2017-11-29 20:33:58 UTC
(In reply to Francisco from comment #2)
> (In reply to Laurent BP from comment #1)
> > Found Open Sans font in:
> > - Impress.otp
> > - Vivid.otp
> 
> Hi Laurent, Yousuf,
> 
> The actual version of Vivid.otp shipped with uses source Sans Pro and not
> Open Sans.
Actually Open Sans is listed in Vivid.otp/style.xml and is used in textbody style and notes
Comment 4 Commit Notification 2017-12-22 17:19:59 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de14f0487118d8ea15db54d94c44d7bd28833c82

tdf#114088 tdf#113795 Improve Writer templates

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-12-22 23:05:20 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebbcdd2416b02f2d796dc0dd24bc013be39575b3

tdf#103317 tdf#107027 tdf#113795 Impress Templates

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-12-27 20:28:12 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3139c93b62e17982d05117f6fcca7d6fb2920ba4&h=libreoffice-6-0

tdf#103317 tdf#107027 tdf#113795 Impress Templates

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-12-27 20:28:26 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c678dc5309741097d9b0265f03dd279a8794d256&h=libreoffice-6-0

tdf#114088 tdf#113795 Improve Writer templates

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.